*, *:before, *:after {
  box-sizing: border-box;
}

.main{
    display: flex;
    flex-direction: row;
}
.timestamp-holder{
  max-width:550px;
}
.a-button{
     border:1px solid black;
     display: inline-block;
     padding: 3px;
     margin: 3px;
}

.a-stamp{
    display:inline-block;
    position: relative;
    min-width: 300px;
    padding: 10px;
    border: 1px solid grey;
    margin:2px;
}

.a-stamp:before{
    position:absolute;
    content:'';
    top:0px; left:0px;
    height:100%;
    width:4px;
    
}

.a-stamp p{
    font-weight:700;
}

#timestamp-list ul .a-stamp:before{
    background: green;   
}

#timestamp-list ul ul .a-stamp:before{
    background: blue;   
}

#timestamp-list ul ul ul .a-stamp:before{
    background: red;   
}

.a-stamp:hover{
   background: green;
}

ul{
    list-style:none;
}

ul .stamp-kid{
    overflow:hidden;
    transition: max-height 0.2s ease-out;
}